org.apache.maven.scm.provider.accurev

## Class AccuRevInfo

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.AccuRevInfo

    public class AccuRevInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AccuRevInfo(File basedir)`

### Method Summary

All Methods Instance Methods Concrete Methods
`File` `getBasedir()`
`String` `getBasis()`
`int` `getPort()`
`String` `getServer()`
`String` `getTop()`
`String` `getUser()`
`String` `getWorkSpace()`
`boolean` `isLoggedIn()`
`boolean` `isWorkSpace()`
`boolean` `isWorkSpaceTop()`
`void` `setBasis(String basis)`
`void` `setPort(int port)`
`void` `setServer(String server)`
`void` `setTop(String top)`
`void` `setUser(String user)`
`void` `setWorkSpace(String workSpace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevInfo

    public AccuRevInfo(File basedir)

### Method Detail

#### getPort

    public int getPort()

#### setPort

    public void setPort(int port)

#### getServer

    public String getServer()

#### setServer

    public void setServer(String server)

#### getUser

    public String getUser()

#### setUser

    public void setUser(String user)

#### getWorkSpace

    public String getWorkSpace()

#### setWorkSpace

    public void setWorkSpace(String workSpace)

#### getBasis

    public String getBasis()

#### setBasis

    public void setBasis(String basis)

#### getTop

    public String getTop()

#### setTop

    public void setTop(String top)

#### getBasedir

    public File getBasedir()

#### isWorkSpace

    public boolean isWorkSpace()

#### isLoggedIn

    public boolean isLoggedIn()

#### isWorkSpaceTop

    public boolean isWorkSpaceTop()